Package bitel.billing.server.call.bean

# Class Login

java.lang.Object
bitel.billing.server.call.bean.Login

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `DialUpLogin`, `VoiceIpLogin`

    public class Login
    extends java.lang.Object
    implements java.io.Serializable

Суперкласс для логинов

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Login()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getCid()` |
  `java.lang.String` | `getComment()` |
  `java.util.Date` | `getDate1()` |
  `java.util.Date` | `getDate2()` |
  `int` | `getId()` |
  `long` | `getLogin()` |
  `int` | `getMaxSession()` |
  `int` | `getObjectId()` |
  `java.lang.String` | `getPswd()` |
  `boolean` | `getStatus()` |
  `void` | `setCid​(int cid)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setDate1​(java.util.Date date1)` |
  `void` | `setDate2​(java.util.Date date2)` |
  `void` | `setId​(int id)` |
  `void` | `setLogin​(long login)` |
  `void` | `setMaxSession​(int maxSession)` |
  `void` | `setObjectId​(int objectId)` |
  `void` | `setPswd​(java.lang.String pswd)` |
  `void` | `setStatus​(boolean status)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Login

    public Login()

- ## Method Details

  - ### getObjectId

    public int getObjectId()

  - ### setObjectId

    public void setObjectId​(int objectId)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getDate1

    public java.util.Date getDate1()

  - ### setDate1

    public void setDate1​(java.util.Date date1)

  - ### getDate2

    public java.util.Date getDate2()

  - ### setDate2

    public void setDate2​(java.util.Date date2)

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getLogin

    public long getLogin()

  - ### setLogin

    public void setLogin​(long login)

  - ### getPswd

    public java.lang.String getPswd()

  - ### setPswd

    public void setPswd​(java.lang.String pswd)

  - ### setStatus

    public void setStatus​(boolean status)

  - ### getStatus

    public boolean getStatus()

  - ### getMaxSession

    public int getMaxSession()

  - ### setMaxSession

    public void setMaxSession​(int maxSession)

  - ### setCid

    public void setCid​(int cid)

  - ### getCid

    public int getCid()